Subject: bug#60587: Patch for adding links to symbols' help documentation

From: Stefan Monnier <[email-masked]>
Date: Mon, 09 Jan 2023 09:25:23 -0500

> I cannot access that discussion with this URL (can you tell on which
> date that happened? then I will look in the emacs-devel list
> archives), and I don't think I understand how such names will creep
> into this feature.  Does the code somehow search every Info manual on
> the system to do its job?

More or less, yes.  IIRC it tries to limit itself to ELisp-related
manuals by avoiding all the manual except those that are in Emacs's own
`info` directory and those that are inside ELPA-installed packages.
Hence the list of exceptions being sicp and ada manuals since these can
be installed as ELPA packages.

        Stefan